com.threerings.whirled.client

## Class SceneDecoder

- java.lang.Object
- - com.threerings.presents.client.InvocationDecoder
  - - com.threerings.whirled.client.SceneDecoder

    public class SceneDecoder
    extends com.threerings.presents.client.InvocationDecoder

Dispatches calls to a `SceneReceiver` instance.

### Field Summary

Fields
`static int` `FORCED_MOVE` The method id used to dispatch `SceneReceiver.forcedMove(int)` notifications.
`static String` `RECEIVER_CODE` The generated hash code used to identify this receiver class.

### Fields inherited from class com.threerings.presents.client.InvocationDecoder

`receiver`

### Constructor Summary

Constructors
Constructor and Description
`SceneDecoder(SceneReceiver receiver)` Creates a decoder that may be registered to dispatch invocation service notifications to the specified receiver.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispatchNotification(int methodId, Object[] args)`
`String` `getReceiverCode()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RECEIVER_CODE

    public static final String RECEIVER_CODE

The generated hash code used to identify this receiver class.

See Also:
  Constant Field Values

#### FORCED_MOVE

    public static final int FORCED_MOVE

The method id used to dispatch `SceneReceiver.forcedMove(int)` notifications.

See Also:
  Constant Field Values

### Constructor Detail

#### SceneDecoder

    public SceneDecoder(SceneReceiver receiver)

Creates a decoder that may be registered to dispatch invocation service notifications to the specified receiver.

### Method Detail

#### getReceiverCode

    public String getReceiverCode()

Specified by:
  `getReceiverCode` in class `com.threerings.presents.client.InvocationDecoder`

#### dispatchNotification

    public void dispatchNotification(int methodId,
                                     Object[] args)

Overrides:
  `dispatchNotification` in class `com.threerings.presents.client.InvocationDecoder`